Read usage summary
curl --request GET \
--url https://api.omnirelay.ai/v1/manage/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnirelay.ai/v1/manage/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnirelay.ai/v1/manage/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"range": "<string>",
"step": "<string>",
"since": "<string>",
"until": "<string>",
"scope": "user",
"timezone": "<string>",
"totals": {
"attempts": 123,
"errors": 123,
"input": 123,
"output": 123,
"cost": 123
},
"previous": {
"attempts": 123,
"errors": 123,
"input": 123,
"output": 123,
"cost": 123
},
"series": [
{}
],
"groups": {},
"performance": [
{}
],
"options": {},
"tag_group": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}Management
Read usage summary
Returns UTC usage totals and breakdowns. scope is workspace for owners with members.read permission, otherwise user. Also subject to a shared monitoring limit of 240 requests per owner per minute.
GET
/
v1
/
manage
/
usage
Read usage summary
curl --request GET \
--url https://api.omnirelay.ai/v1/manage/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnirelay.ai/v1/manage/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnirelay.ai/v1/manage/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"range": "<string>",
"step": "<string>",
"since": "<string>",
"until": "<string>",
"scope": "user",
"timezone": "<string>",
"totals": {
"attempts": 123,
"errors": 123,
"input": 123,
"output": 123,
"cost": 123
},
"previous": {
"attempts": 123,
"errors": 123,
"input": 123,
"output": 123,
"cost": 123
},
"series": [
{}
],
"groups": {},
"performance": [
{}
],
"options": {},
"tag_group": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "model_unavailable",
"message": "The model does not exist or is disabled.",
"type": "not_found_error",
"param": "<string>"
},
"request_id": "<string>"
}Authorizations
Management key created in the console. read scope reads; write scope also changes API keys. Inference API keys are not accepted.
Query Parameters
Available options:
24h, 7d, 30d, 90d hour requires range=24h or 7d.
Available options:
hour, day API key ID, not the credential.
Member ID; requires the owner to have members.read permission.
Available options:
ok, error